<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table48', function (Blueprint $table) {
            $table->id('DatasetTable48Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->string('tahun')->nullable();
            $table->string('nama_bank_sampah')->nullable();
            $table->string('sk')->nullable(); // Nomor SK
            $table->bigInteger('jumlah_sampah')->nullable(); // Kg per bulan
            $table->string('status')->nullable();
            $table->string('wilayah_pelayanan')->nullable();
            $table->integer('jumlah_penabung')->nullable();
            $table->integer('jumlah_karyawan')->nullable();
            $table->bigInteger('omset')->nullable(); // dalam Rupiah
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table48s');
    }
};
